# SubPlugin (SubServers.Host)

net.ME1312.SubServers.Host.API

## Annotation Type SubPlugin

    @Retention(value=RUNTIME)
     @Target(value=TYPE)
    public @interface SubPlugin

SubPlugin Class Annotation
Classes defined in package.xml and annotated with this will be loaded

### Required Element Summary

Required Elements
`java.lang.String[]` `authors` The Authors of this Plugin
`java.lang.String` `name` The Name of this Plugin
`java.lang.String` `version` The Version of this Plugin

### Optional Element Summary

Optional Elements
`java.lang.String[]` `dependencies` Dependencies List
`java.lang.String` `description` The Description of this Plugin
`java.lang.String[]` `loadBefore` Load Before Plugins List
`java.lang.String[]` `softDependencies` Soft Dependencies List
`java.lang.String` `website` The Authors' Website

### Element Detail

#### name

    public abstract java.lang.String name

The Name of this Plugin

Returns:
  Plugin Name

#### version

    public abstract java.lang.String version

The Version of this Plugin

Returns:
  Plugin Version

#### authors

    public abstract java.lang.String[] authors

The Authors of this Plugin

Returns:
  Authors List

#### description

    public abstract java.lang.String description

The Description of this Plugin

Returns:
  Plugin Description

Default:
  ""

#### website

    public abstract java.lang.String website

The Authors' Website

Returns:
  Authors' Website

Default:
  ""

#### loadBefore

    public abstract java.lang.String[] loadBefore

Load Before Plugins List

Returns:
  Load Before List

Default:
  {}

#### dependencies

    public abstract java.lang.String[] dependencies

Dependencies List

Returns:
  Dependencies List

Default:
  {}

#### softDependencies

    public abstract java.lang.String[] softDependencies

Soft Dependencies List

Returns:
  Soft Dependencies List

Default:
  {}